DSXFR(3)

PACKAGE
dsxfr - Routines to transfer data structures over connections

PURPOSE
These routines are meant to provide high level transfer of the recursive, heirarchical data structure supported in Karma from and to files and connections.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

dsxfr_register_connection_limits
    Register connection limits for "multi_array" protocol.

dsxfr_put_multi
    Write a multi_array data structure.

dsxfr_send_multi
    Send a multi_array data structure over a connection.

dsxfr_get_multi
    Read a multi_array data structure.

dsxfr_register_read_func
    Register callback for new "multi_array" data.

dsxfr_register_close_func
    Register callback for closed "multi_array" connection.

dsxfr_test_split
    Test if a file is part of a split Karma file.

dsxfr_read_split
    Read a multi_array data structure.

dsxfr_PROTO_read_func
    New "multi_array" data callback.

dsxfr_PROTO_close_func
    Callback for "multi_array" connection closures.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/